
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 指定条件包邮城市项
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */

public class TranscityFree extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 指定条件包邮城市项id
     */
    private Long transcityFreeId;

    /**
     * 指定条件包邮项id
     */
    private Long transfeeFreeId;

    /**
     * 城市id
     */
    private Long freeCityId;

    public Long getTranscityFreeId() {
        return transcityFreeId;
    }

    public void setTranscityFreeId(Long transcityFreeId) {
        this.transcityFreeId = transcityFreeId;
    }

    public Long getTransfeeFreeId() {
        return transfeeFreeId;
    }

    public void setTransfeeFreeId(Long transfeeFreeId) {
        this.transfeeFreeId = transfeeFreeId;
    }

    public Long getFreeCityId() {
        return freeCityId;
    }

    public void setFreeCityId(Long freeCityId) {
        this.freeCityId = freeCityId;
    }

    @Override
    public String toString() {
        return "TranscityFree{" +
                "transcityFreeId=" + transcityFreeId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",transfeeFreeId=" + transfeeFreeId +
                ",freeCityId=" + freeCityId +
                '}';
    }
}
